html {
    font-size: 62.5%;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
}

/* * {
    text-decoration: none;
} */

/* Navbar */
/* Sidebar */
.sidebar {
    position: fixed;
    width: 8rem;
    height: 100%;
    background-color: #eee;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between; 
    z-index: 10;
}

.menu-icon {
    margin-top: 3rem;
    cursor: pointer;
}

.menu-icon:hover .line {
    width: 1.8rem;
}

.line {
    height: .2rem;
    width: 2.5rem;
    background-color: #222;
    margin-bottom: .6rem;
}

.line-1, .line-3 {
    width: 1.8rem;
    transition: all .3s  ease-in-out;
}

.social-icons-list {
    list-style: none;
    padding: 0;
    height: 25rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.social-link {
    color: #777;
    font-size: 2rem;
    transition: color .3s ease-in-out;
}   

.social-link:hover {
    color: #deaa86;
}
.year {
    margin-bottom: 1rem;
    font-size: 1.5rem;
    color: #555;   
}
/* End of Sidebar */

/* Navigation */

.navigation {
    /* margin-left: 8rem; */
    left: -32rem;
    position: fixed;
    width: 40rem;
    height: 100%;
    background: linear-gradient(to top, 
    rgba(34, 32,41, 1), rgba(34, 32,41, .8)), 
    url(/img/nav-bg.jpeg) center no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    transition: left .3s cubic-bezier(1, 0, 0, 1);
    z-index: 2;
}

.navigation-heading {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 3.5rem;
    font-weight: 300;
    letter-spacing: .2rem;
    color: #deaa86;
    text-align: center;;
}

.navigation-search {
    position: relative;
}

.navigation-search-input {
    width: 30rem;
    padding: 1rem 2rem;
    background-color: rgba(0, 0, 0, .3);
    font-family: 'Josefin Sans', sans-serif;
    font-size: 1.6rem;
    color: #deaa86;
    letter-spacing: .1rem;
    outline: none;
    border: .1rem solid #555;
    border-radius: 10rem;
    transition: background-color .3s ease-in-out;
}

.navigation-search-input:focus {
    background-color: rgba(0, 0, 0, .1);
}

.navigation-search-button {
border: none;
background-color: transparent;
color: #deaa86;
font-size: 1.75rem;
position: absolute;
right: 1rem;
top: 1rem;
cursor: pointer;
outline: none;
}

.naviagtion-list {
    list-style: none;
    padding: 0;
    height: 28rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.navigation-itme {
  list-style: none;
}

.navigation-link {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem; /* space between lines and text */
  color: #fff;
  font-size: 1.6rem;
  font-weight: 400;
  letter-spacing: .1rem;
  text-decoration: none;
  text-transform: uppercase;
  transition: color .5s;
}

.navigation-link::before,
.navigation-link::after {
  content: "";
  height: 1px;
  width: 0;
  background-color: #deaa86;
  transition: width .2s cubic-bezier(1, 0, 0, 1);
}

/* Ask Harshit why this setting is worrking but not the privious styling */


.navigation-link:hover::before,
.navigation-link:hover::after {
  width: 3rem;
}

.copyright {
    color: #fff;
    font-size: 1.2rem;
    margin-bottom: 1.5rem;
}


.checkbox:checked ~ .navigation {
    left: 8rem;
}


.checkbox:checked ~ .sidebar .line-1 {
    transform: rotate(-405deg) translate(-5px, 6px);
    width: 2.5rem;
}

.checkbox:checked ~ .sidebar .line-2 {
    opacity: 0;
}   

.checkbox:checked ~ .sidebar .line-3 {
    transform: rotate(405deg) translate(-5px, -6px);
    width: 2.5rem;
}

/* End of Navigation */
/* End of Navbar */

/* Header */
.header {
    margin-left: 8rem;    
    height: 100vh;
    background: linear-gradient(to top, rgba(0,0,0,.6), rgba(0, 0, 0, .5)), url(img/header-1.jpeg) center no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
}

.brand {
    display: flex;
    cursor: pointer;
}

.hotel-heading {
    font-family: 'josefin sans', sans-serif;
    font-size: 2.7rem;
    font-weight: 400;
    color: #deaa86;
    letter-spacing: .2rem;
}

.banner {
    color: #ddd;
    height: 65rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.banner-heading {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 7rem;
    font-weight: 400;
    margin-bottom: 0;
    animation: anim 2s;
}

.banner-paragraph {
    font-size: 3.5rem;
    font-weight: 300;
    animation: anim 1.5s .5s backwards;
}
.banner-button {
    cursor: pointer;
    width: 21rem;
    padding: 1.2rem 2rem;
    font-size: 2rem;
    color: #333;
    letter-spacing: 1.rem;
    border: none;
    border-radius: 10rem;
    outline: none;
    background: linear-gradient(to right, gold, goldenrod);
    animation: anim 1s 1s backwards;
}

.banner-button:hover {
    background: linear-gradient(to left, goldenrod, gold);
}

.banner-button:active {
    transform: translate(0, .2rem);
}

@keyframes anim {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
/* Ask Harshit why this heading and the paragraph 
and the box is not comming to the center is it 
becoze i have use hadder and the banner and 
some how it making the flex area smaller or 
the margin is effecting it if it does effecting
it then tell me how and how to adject the hadder
is it padding ?? or some other ways */

/* End Of Header */


/* About us */

.about-us {
    margin-left: 8rem;
    display: flex;
    background-color: #ddd;
    /* position: relative; */
}

.about-us-content {
    flex: 0 1 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10rem;
    box-sizing: border-box;
}

.about-us-heading {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 4rem;
    font-weight: 300;
    text-transform: uppercase;
}

.small-underline {
    width: 9rem;
    height: .1rem;
    margin: 0 auto 1rem auto;
    background-color: #b85d1c;
}


.big-underline {
    width: 20rem;
    height: .1rem;
    background-color: #b85d1c;

}

.sub-heading {
    font-size: 3.5rem;
    font-weight: 300;
    letter-spacing: .2rem;
    color: #b85d1c;
}

.about-us-paragraph {
    font-size: 1.6rem;
    font-weight: 300;
    font-style: italic;
    text-align: center;
    margin-bottom: 5rem;   
}

.about-us-button {
    cursor: pointer;
    width: 15rem;
    padding: .7rem .5rem;
    font-family: 'Montserrat', sans-serif;
    font-size: 1.5rem;
    text-transform: uppercase;
    color: #b85d1c;
    background-color: transparent;
    border: .1rem solid #b85d1c;
    outline: none;
}

.button-arrow {
    margin-left: .5rem;
    transition: margin-left .4s ease-in-out;;
}
.about-us-button:hover  .button-arrow {
    margin-left: 1.5rem;
}


.about-us-image {
    flex: 1 1;
    position: relative;
}

.image {
    width: 32rem;
    position: absolute;
    left: 50%;
    top: 50%;
    box-shadow: 0 3rem 6rem rgba(0, 0, 0, .6);
    border-radius: .4rem;
    border: .2rem solid #b85d1c;
}

.image-1 {
    transform: translate(-20%, -90%);
}
.image-3 {
    transform: translate(-70%, -70%);
}
.image-3 {
    transform: translate(-50%, -50%);
}
.image-4 {
    transform: translate(-30%, -30%);
}
/* End of About Us */
/* Rooms */

.common-header{
    padding: 5rem;
    text-align: center;
    color: #b85d1c;
}

.common-heading {
    font-size: 4rem;
    font-weight: 300;
    letter-spacing: .2rem;
}
    
.small-underline {
    width: 9rem;
    height: .1rem;
    margin: 0 auto 1rem auto;
    background-color: #b85d1c;
}

.big-underline {
    width: 20rem;
    height: .1rem;
    margin: auto;
    background-color: #b85d1c;
}


.rooms {
    margin-left: 8rem;
}

.rooms-cards-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.room-card {
    width: 60rem;
    margin: 5rem;
    background-color: #15141b;
    box-shadow: 0 3rem 6rem rgba(0, 0, 0, .3);
}

.room-img {
    width: 100%;
}

.room-card-content {
    color: #ddd;
    padding: 2rem;
}

.room-card-heading {
    margin: 0;
    font-size: 3rem;
    font-weight: 300;
}

.room-card-paragraph {
    font-size: 1.5rem;
    color: #777
}

.room-price {
    font-size: 5rem;
    font-weight: 300;
    text-align: right;
    margin: 0;
}

.room-card-button   {
    cursor: pointer;
    width: 15rem;
    padding: 1.5rem 1rem;
    font-family: 'Montserrat', sans-serif;
    font-size: 1.2rem;
    text-transform: uppercase;
    color: #b85d1c;
    background-color: transparent;
    border: .1rem solid #b85d1c;
    outline: none;
    border-radius: 10rem;
}

.rooms-button-wrapper {
    text-align: center;
}

.room-button {
    width: 20rem;
    padding: 1.5rem 1rem;
    margin: 4rem 0;
    background-color: transparent;
    text-transform: uppercase;
    color: #b85d1c;
    border: .2rem solid #b85d1c;
    outline: none;
    border-radius: 10rem;
    cursor: pointer;
    box-shadow: 0 1.5rem 6rem rgba(0, 0, 0, .2);
    transition: all .2s ease-in-out;
}

.room-button:hover {
    background-color: #b85d1c;
    color: #ddd;
}
/* End Of Rooms */
/* Custoemr */

.customers {
    margin-left: 8rem;
    padding-bottom: 7rem;
    background-color: #15141b;
}

.customers-paragraph {
    font-size: 1.8rem;
    color: #ddd;
    width: 50%;
    margin: 2rem auto 8rem auto;
    text-align: center;
}


.customer-card-wrapper {
    display: flex;
    justify-content: space-evenly;
}


.customer-card {
    background-color: #eee;
    width: 60rem;
    display: flex;
}

.customer-image-wrapper {
    margin: auto 0;
}

.customer-image {
    width: 20rem;
    margin-left: -1.3rem;
}

.customer-info {
    padding: 0 2rem;
}

.customer-fullname {
    font-size: 2rem;
    font-weight: 300;
    margin-bottom: 0;
}

.customers-paragraph {
    font-size: 1.2rem;
    font-style: italic;
    color: #b85d1c;
}

.custoemer-paragraph-1 {
    font-size: 1.3rem;
    font-style: italic;
}

.customer-heading {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 4rem;
    font-weight: 300;
    text-transform: uppercase;
}


/* End of Custoemr */

/* Footer */

.footer {
    margin-left: 8rem;
}

.main-part {
    display: flex;
    justify-content: space-between;
    background-color: #1c1c1c;
    padding: 4rem;
}

.footer-heading {
    font-size: 2.5rem;
    font-weight: 300;
    color: goldenrod;
    margin: 1rem 0 3rem 0;
}

.footer-list {
    list-style: none;
    padding: 0;
}

.footer-list-item {
    margin-bottom: 2rem;
}

.footer-list-link {
    font-size: 1.4rem;
    color: #bbb;
    text-decoration: none;
}

.contact p {
    font-size: 1.5rem;
    color: #bbb;
    margin-bottom: 4rem;
}

.footer-form {
    display: flex;
}

.footer-input {
    width: 25rem;
    padding: 1rem;
    font-family: 'Josefin Sans', sans-serif;
    font-size: 1.8rem;
    color: #444;
    outline: none;
}

.footer-button {
    padding: 1rem;
    background-color: #b85d1c;
    color: #ddd;
    border: none;
}

.gallery {
    max-width: 45rem;
}

.image-wrapper {
    width: 12rem;
    margin: .4rem;
    overflow: hidden;
}

.footer-image {
    height: 100%;
    width: 100%;
    transition: all .5s ease-in-out;
}

.gallery-images {
    display: flex;
    flex-wrap: wrap;
}

.footer-image:hover {
    transform: scale(1.3);
    opacity: .8;
}

.creator-part {
    display: flex;
    justify-content:space-between;
    align-items: center;
    background-color: #111;
    padding: 0 4rem;
}


.copyright-text {
    font-size: 1.3rem;
    color: #aaa;
}

.text-right {
    font-size: 1.4rem;
    color: #bbb;
}

.text-right i {
    font-size: 2rem;
    margin: .5rem;
    color: tomato;
}

.text-right span {
    color: gold;
}
/* End of Footer */




/* Responsive Styles using media Queery*/
@media(max-width: 1400px) {
    .customer-card-wrapper {
        flex-direction: column;
        align-items: center;
    }

    .customer-card:first-child {
        margin-bottom: 3rem;
    }

    .main-part {
        flex-direction: column;
    }

    .footer-list {
        display: flex;
    }

    .footer-list-item {
        margin-right: 3rem;
    }
}


@media(max-width: 1200px) {

    .about-us {
        flex-direction: column;
        padding-bottom: 20rem;
    }

    .about-us-content {
        margin-bottom: 13rem;
    }

    .image {
        width: 25rem;
    }
}

@media(max-width: 900px) {
    .banner {
        text-align: center;
    }
    .banner-heading {
        font-size: 5rem;
    }
    .banner-paragraph {
        font-size: 3rem;
    }
    .banner-button {
        width: 18rem;
        font-size: 1.5rem;
    }
}

@media(max-width: 750px) {
    .customer-card {
        flex-direction: column;
        width: 20rem;
    }
    .customer-image {
        margin-left: 0;
    }

    .footer-list {
        display: block;
    }

    .creator-part {
        flex-direction: column;
        text-align: center;
    }
    .copyright-text {
        order: 1;
    }
}

@media(max-width: 500px) {
    .navigation {
        width: 28rem;
    }
    .navigation-search-input {
        width: 20rem;
    }
    .hotel-heading {
        font-size: 2rem;
        margin: auto 0;
    }
    .banner {
        height: 100%;
        margin-top: -10rem;
    }
    .banner-heading {
        font-size: 3rem;
    }
    .banner-paragraph {
        font-size: 2rem;
    }
    .about-us {
        padding-bottom: 13rem;
    }
    .about-us-heading {
        font-size: 3rem;
        text-align: center;
    }
    .sub-heading {
        font-size: 2.5rem;
        text-align: center;
    }
    .about-us-content {
        padding: 5rem;
    }
    .image{
        width: 13rem;
    }
    .common-heading {
        font-size: 2rem;
    }
    .small-underline {
        width: 5rem;
    }
    .big-underline {
        width: 12rem;
    }
    .room-card-heading {
        font-size: 1.5rem;
    }
    .room-card-paragraph {
        font-size: 1.2rem;
    }
    .room-price {
        font-size: 2.5rem;
        margin-bottom: 1.5rem;
        text-align: left;
    }
    .room-card-button {
        width: 12rem;
        padding: 1rem .5rem;
        font-size: 1rem;
    }
    .main-part {
        padding: 2rem;
    }
    .footer-input {
        width: 12rem;
    }
    .image-wrapper {
        width: 9rem;
    }
}
/* End of Responsive Styles */